%define name    blender-demos
%define version 2.49
%define release %mkrel 1
%define summary Blender test demos files

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         MandrivaClub.nl
URL:		http://www.blender.org/
License:	GPLv2+

Group:          Graphics
Packager:       %{packager}

Source0:        test249.zip
Source1:        test249-GE.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildArch: 	noarch
Requires:	blender

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -c -q -a 1

%build

%install
mkdir -p -m755 %{buildroot}/%{_datadir}/blender/demos/test249
mkdir -p -m755 %{buildroot}/%{_datadir}/blender/demos/test249-GE
cp -R ./test249/*  %{buildroot}/%{_datadir}/blender/demos/test249
cp -R ./Users/ton/Desktop/test249-GE/*  %{buildroot}/%{_datadir}/blender/demos/test249-GE

%post

%postun

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%{_datadir}/blender/demos/*


%changelog 
* Wed Jun 24 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be> 2.49
- All Blender test demos files in /usr/share/blender/demos/...
